Show / Hide Table of Contents

# Class MarketBoardPurchase

Represents market board purchase information. This message is received from the server when a purchase is made at a market board.

##### Inheritance

System.Object
MarketBoardPurchase

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Network.Structures

###### Assembly: Dalamud.dll

##### Syntax

    public class MarketBoardPurchase

### Properties

| Improve this Doc View Source

#### CatalogId

Gets the item ID of the item that was purchased.

##### Declaration

    public uint CatalogId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ItemQuantity

Gets the quantity of the item that was purchased.

##### Declaration

    public uint ItemQuantity { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### Read(IntPtr)

Reads market board purchase information from the struct at the provided pointer.

##### Declaration

    public static MarketBoardPurchase Read(IntPtr dataPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dataPtr | A pointer to a struct containing market board purchase information from the server.

##### Returns

Type | Description
--- | ---
MarketBoardPurchase | An object representing the data read.